Bug 476732 - fully automated qemu install fails at Network Manager
fully automated qemu install fails at Network Manager
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 15:06 EST by Michael DeHaan
Modified: 2009-04-20 10:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 06:16:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael DeHaan 2008-12-16 15:06:03 EST
Description of problem:

qemu installs through python-virtinst for F10 guests seem to be having a DHCP timeout issue.  

Installing a kickstart that is proven to work on a /dev/kvm system with virtio or a PXEd physical host using cobbler/koan does not yield the same results for a regular qemu install.

Network Manager fails to configure the network interface on the first try and hitting "retry" in Anaconda solves the problem and the install continues normally.

Criteria:
-- host does not matter
-- guest must be running F-10
-- guest must be created using qemu

Version-Release number of selected component (if applicable):

(0.5.0-1.fc10.i386)  F-10 latest everything at the time, non-testing


How reproducible:

seems 100% Consistent



Steps to Reproduce:
1.   See description
2.
3.
  
Actual results:

NetworkManager in Anaconda fails to configure the interface requiring the user to hit retry


Expected results:


Fully automated install is successful

Additional info:
Comment 1 Michael DeHaan 2008-12-16 15:06:43 EST
Talked with this on IRC with crobinson in #virt/OFTC, said to file against libvirt and it could be triaged to other components as needed.
Comment 2 Mark McLoughlin 2009-01-21 04:46:33 EST
Does this still happen?

If you "virsh net-stop default; virsh net-start default" before starting the install, does that help?

Attach output from:

  $> brctl show
  $> iptables -L -v -n
  $> ps -ef | grep dnsmasq
  $> ifconfig -a
  $> cat /proc/sys/net/ipv4/ip_forward
Comment 3 Mark McLoughlin 2009-04-20 06:16:06 EDT
Missing info from reporter, closing
Comment 4 Michael DeHaan 2009-04-20 10:31:38 EDT
This seems to have been better lately, at least when using real bridges.  I'll let you know if it happens again.

Note You need to log in before you can comment on or make changes to this bug.